clang 8.0.0

Classes | Namespaces | Macros | Typedefs | Enumerations
DiagnosticIDs.h File Reference

Defines the Diagnostic IDs-related interfaces. More...

`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/IntrusiveRefCntPtr.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <vector>`
`#include "clang/Basic/DiagnosticCommonKinds.inc"`
Include dependency graph for DiagnosticIDs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::DiagnosticMapping
class | clang::DiagnosticIDs
| Used for handling and querying diagnostic IDs. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::diag

## Macros
#define | DIAG(ENUM, FLAGS, DEFAULT_MAPPING, DESC, GROUP, SFINAE, CATEGORY, NOWERROR, SHOWINSYSHEADER) ENUM,
#define | COMMONSTART

## Typedefs
typedef unsigned | clang::diag::kind
| All of the diagnostics that can be emitted by the frontend. More...

## Enumerations
enum | { clang::diag::DIAG_SIZE_COMMON = 300, clang::diag::DIAG_SIZE_DRIVER = 200, clang::diag::DIAG_SIZE_FRONTEND = 150, clang::diag::DIAG_SIZE_SERIALIZATION = 120, clang::diag::DIAG_SIZE_LEX = 400, clang::diag::DIAG_SIZE_PARSE = 500, clang::diag::DIAG_SIZE_AST = 150, clang::diag::DIAG_SIZE_COMMENT = 100, clang::diag::DIAG_SIZE_CROSSTU = 100, clang::diag::DIAG_SIZE_SEMA = 3500, clang::diag::DIAG_SIZE_ANALYSIS = 100, clang::diag::DIAG_SIZE_REFACTORING = 1000 }
enum | { clang::diag::DIAG_START_COMMON = 0, clang::diag::DIAG_START_DRIVER = DIAG_START_COMMON + DIAG_SIZE_COMMON, clang::diag::DIAG_START_FRONTEND = DIAG_START_DRIVER + DIAG_SIZE_DRIVER, clang::diag::DIAG_START_SERIALIZATION = DIAG_START_FRONTEND + DIAG_SIZE_FRONTEND, clang::diag::DIAG_START_LEX = DIAG_START_SERIALIZATION + DIAG_SIZE_SERIALIZATION, clang::diag::DIAG_START_PARSE = DIAG_START_LEX + DIAG_SIZE_LEX, clang::diag::DIAG_START_AST = DIAG_START_PARSE + DIAG_SIZE_PARSE, clang::diag::DIAG_START_COMMENT = DIAG_START_AST + DIAG_SIZE_AST, clang::diag::DIAG_START_CROSSTU = DIAG_START_COMMENT + DIAG_SIZE_CROSSTU, clang::diag::DIAG_START_SEMA = DIAG_START_CROSSTU + DIAG_SIZE_COMMENT, clang::diag::DIAG_START_ANALYSIS = DIAG_START_SEMA + DIAG_SIZE_SEMA, clang::diag::DIAG_START_REFACTORING = DIAG_START_ANALYSIS + DIAG_SIZE_ANALYSIS, clang::diag::DIAG_UPPER_LIMIT = DIAG_START_REFACTORING + DIAG_SIZE_REFACTORING }
enum | { clang::diag::NUM_BUILTIN_COMMON_DIAGNOSTICS }
enum | clang::diag::Severity { clang::diag::Severity::Ignored = 1, clang::diag::Severity::Remark = 2, clang::diag::Severity::Warning = 3, clang::diag::Severity::Error = 4, clang::diag::Severity::Fatal = 5 }
| Enum values that allow the client to map NOTEs, WARNINGs, and EXTENSIONs to either Ignore (nothing), Remark (emit a remark), Warning (emit a warning) or Error (emit as an error). More...
enum | clang::diag::Flavor { clang::diag::Flavor::WarningOrError, clang::diag::Flavor::Remark }
| Flavors of diagnostics we can emit. More...

## Detailed Description

Defines the Diagnostic IDs-related interfaces.

Definition in file DiagnosticIDs.h.

## Macro Definition Documentation

## ◆ COMMONSTART

#define COMMONSTART

Definition at line 70 of file DiagnosticIDs.h.

## ◆ DIAG

#define DIAG | ( |  | ENUM,
|  |  | FLAGS,
|  |  | DEFAULT_MAPPING,
|  |  | DESC,
|  |  | GROUP,
|  |  | SFINAE,
|  |  | CATEGORY,
|  |  | NOWERROR,
|  |  | SHOWINSYSHEADER
| ) |  | ENUM,

Definition at line 68 of file DiagnosticIDs.h.